Live Tail Devbox Logs.
curl --request GET \
--url https://api.runloop.ai/v1/devboxes/{id}/logs/tail \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runloop.ai/v1/devboxes/{id}/logs/tail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runloop.ai/v1/devboxes/{id}/logs/tail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Devbox
Live Tail Devbox Logs.
Tail the logs for the given devbox. This will return past log entries and continue streaming from there. The stream will then continue to stream logs until the connection is closed.
GET
/
v1
/
devboxes
/
{id}
/
logs
/
tail
Live Tail Devbox Logs.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Devbox ID.
Query Parameters
ID of execution to filter logs by.
Shell Name to filter logs by.
Response
OK
Was this page helpful?
⌘I
